Functions related to the events

## Functions

trace_return_t | addEventType (const char *alias, const char *contType, const char *name)
| Add an Event Type. More...
trace_return_t | addEvent (varPrec time, const char *type, const char *cont, const char *val)
| Add an Event. More...

## Detailed Description

## Function Documentation

trace_return_t addEvent | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

Add an Event.

Parameters

  time | Time the event happens
  type | Type of the event
  cont | Container that produced the event
  val | Value of the new event

Returns
  TRACE_SUCCESS on success
  An error code otherwise

trace_return_t addEventType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

Add an Event Type.

Parameters

  alias | Alias on the event type
  contType | Type of container of these events
  name | Alternative name of the event type

Returns
  TRACE_SUCCESS on success
  An error code otherwise